Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Capybara 2 #12

Closed
rogercampos opened this Issue Dec 18, 2012 · 4 comments

Comments

Projects
None yet
3 participants

Are there plans to support Capybara 2?

Kukunin commented Dec 24, 2012

+1

Owner

nruth commented Jan 5, 2013

I'm upgrading an app that uses this, so will have a look.

nruth added a commit that referenced this issue Jan 5, 2013

Capybara 2.0 update. Removes all extra drivers.
Only rack-test and selenium support for now. #12
Owner

nruth commented Jan 5, 2013

Very little has changed, but unfortunately all the drivers are broken. Poltergeist / PhantomJS looks like it'll be fixed soon so I might put that back in, but think #3 is the better approach.

Owner

nruth commented Feb 6, 2013

I've released v2.0 to rubygems, give it a try. Poltergeist driver will follow when it has an updated gem release. For now it's possible to use the git branch. Rack-test and selenium should be working. It's also possible to add other drivers from test setup now rather than monkey-patching or modifying the gem.

@nruth nruth closed this Feb 6, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment